self.webpackChunk([13],{26:function(r,n,e){"use strict";e.r(n),n.default='/*! *****************************************************************************\nCopyright (c) Microsoft Corporation. All rights reserved.\nLicensed under the Apache License, Version 2.0 (the "License"); you may not use\nthis file except in compliance with the License. You may obtain a copy of the\nLicense at http://www.apache.org/licenses/LICENSE-2.0\n\nTHIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\nWARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\nMERCHANTABLITY OR NON-INFRINGEMENT.\n\nSee the Apache Version 2.0 License for specific language governing permissions\nand limitations under the License.\n***************************************************************************** */\n\n\n\n/// <reference no-default-lib="true"/>\r\n\n\n/// <reference lib="es2015.symbol" />\r\n\r\ninterface SymbolConstructor {\r\n    /**\r\n     * A method that determines if a constructor object recognizes an object as one of the\r\n     * constructor’s instances. Called by the semantics of the instanceof operator.\r\n     */\r\n    readonly hasInstance: symbol;\r\n\r\n    /**\r\n     * A Boolean value that if true indicates that an object should flatten to its array elements\r\n     * by Array.prototype.concat.\r\n     */\r\n    readonly isConcatSpreadable: symbol;\r\n\r\n    /**\r\n     * A regular expression method that matches the regular expression against a string. Called\r\n     * by the String.prototype.match method.\r\n     */\r\n    readonly match: symbol;\r\n\r\n    /**\r\n     * A regular expression method that replaces matched substrings of a string. Called by the\r\n     * String.prototype.replace method.\r\n     */\r\n    readonly replace: symbol;\r\n\r\n    /**\r\n     * A regular expression method that returns the index within a string that matches the\r\n     * regular expression. Called by the String.prototype.search method.\r\n     */\r\n    readonly search: symbol;\r\n\r\n    /**\r\n     * A function valued property that is the constructor function that is used to create\r\n     * derived objects.\r\n     */\r\n    readonly species: symbol;\r\n\r\n    /**\r\n     * A regular expression method that splits a string at the indices that match the regular\r\n     * expression. Called by the String.prototype.split method.\r\n     */\r\n    readonly split: symbol;\r\n\r\n    /**\r\n     * A method that converts an object to a corresponding primitive value.\r\n     * Called by the ToPrimitive abstract operation.\r\n     */\r\n    readonly toPrimitive: symbol;\r\n\r\n    /**\r\n     * A String value that is used in the creation of the default string description of an object.\r\n     * Called by the built-in method Object.prototype.toString.\r\n     */\r\n    readonly toStringTag: symbol;\r\n\r\n    /**\r\n     * An Object whose own property names are property names that are excluded from the \'with\'\r\n     * environment bindings of the associated objects.\r\n     */\r\n    readonly unscopables: symbol;\r\n}\r\n\r\ninterface Symbol {\r\n    readonly [Symbol.toStringTag]: string;\r\n}\r\n\r\ninterface Array<T> {\r\n    /**\r\n     * Returns an object whose properties have the value \'true\'\r\n     * when they will be absent when used in a \'with\' statement.\r\n     */\r\n    [Symbol.unscopables](): {\r\n        copyWithin: boolean;\r\n        entries: boolean;\r\n        fill: boolean;\r\n        find: boolean;\r\n        findIndex: boolean;\r\n        keys: boolean;\r\n        values: boolean;\r\n    };\r\n}\r\n\r\ninterface Date {\r\n    /**\r\n     * Converts a Date object to a string.\r\n     */\r\n    [Symbol.toPrimitive](hint: "default"): string;\r\n    /**\r\n     * Converts a Date object to a string.\r\n     */\r\n    [Symbol.toPrimitive](hint: "string"): string;\r\n    /**\r\n     * Converts a Date object to a number.\r\n     */\r\n    [Symbol.toPrimitive](hint: "number"): number;\r\n    /**\r\n     * Converts a Date object to a string or number.\r\n     *\r\n     * @param hint The strings "number", "string", or "default" to specify what primitive to return.\r\n     *\r\n     * @throws {TypeError} If \'hint\' was given something other than "number", "string", or "default".\r\n     * @returns A number if \'hint\' was "number", a string if \'hint\' was "string" or "default".\r\n     */\r\n    [Symbol.toPrimitive](hint: string): string | number;\r\n}\r\n\r\ninterface Map<K, V> {\r\n    readonly [Symbol.toStringTag]: string;\r\n}\r\n\r\ninterface WeakMap<K extends object, V> {\r\n    readonly [Symbol.toStringTag]: string;\r\n}\r\n\r\ninterface Set<T> {\r\n    readonly [Symbol.toStringTag]: string;\r\n}\r\n\r\ninterface WeakSet<T extends object> {\r\n    readonly [Symbol.toStringTag]: string;\r\n}\r\n\r\ninterface JSON {\r\n    readonly [Symbol.toStringTag]: string;\r\n}\r\n\r\ninterface Function {\r\n    /**\r\n     * Determines whether the given value inherits from this function if this function was used\r\n     * as a constructor function.\r\n     *\r\n     * A constructor function can control which objects are recognized as its instances by\r\n     * \'instanceof\' by overriding this method.\r\n     */\r\n    [Symbol.hasInstance](value: any): boolean;\r\n}\r\n\r\ninterface GeneratorFunction {\r\n    readonly [Symbol.toStringTag]: string;\r\n}\r\n\r\ninterface Math {\r\n    readonly [Symbol.toStringTag]: string;\r\n}\r\n\r\ninterface Promise<T> {\r\n    readonly [Symbol.toStringTag]: string;\r\n}\r\n\r\ninterface PromiseConstructor {\r\n    readonly [Symbol.species]: PromiseConstructor;\r\n}\r\n\r\ninterface RegExp {\r\n    /**\r\n     * Matches a string with this regular expression, and returns an array containing the results of\r\n     * that search.\r\n     * @param string A string to search within.\r\n     */\r\n    [Symbol.match](string: string): RegExpMatchArray | null;\r\n\r\n    /**\r\n     * Replaces text in a string, using this regular expression.\r\n     * @param string A String object or string literal whose contents matching against\r\n     *               this regular expression will be replaced\r\n     * @param replaceValue A String object or string literal containing the text to replace for every\r\n     *                     successful match of this regular expression.\r\n     */\r\n    [Symbol.replace](string: string, replaceValue: string): string;\r\n\r\n    /**\r\n     * Replaces text in a string, using this regular expression.\r\n     * @param string A String object or string literal whose contents matching against\r\n     *               this regular expression will be replaced\r\n     * @param replacer A function that returns the replacement text.\r\n     */\r\n    [Symbol.replace](string: string, replacer: (substring: string, ...args: any[]) => string): string;\r\n\r\n    /**\r\n     * Finds the position beginning first substring match in a regular expression search\r\n     * using this regular expression.\r\n     *\r\n     * @param string The string to search within.\r\n     */\r\n    [Symbol.search](string: string): number;\r\n\r\n    /**\r\n     * Returns an array of substrings that were delimited by strings in the original input that\r\n     * match against this regular expression.\r\n     *\r\n     * If the regular expression contains capturing parentheses, then each time this\r\n     * regular expression matches, the results (including any undefined results) of the\r\n     * capturing parentheses are spliced.\r\n     *\r\n     * @param string string value to split\r\n     * @param limit if not undefined, the output array is truncated so that it contains no more\r\n     * than \'limit\' elements.\r\n     */\r\n    [Symbol.split](string: string, limit?: number): string[];\r\n}\r\n\r\ninterface RegExpConstructor {\r\n    readonly [Symbol.species]: RegExpConstructor;\r\n}\r\n\r\ninterface String {\r\n    /**\r\n     * Matches a string or an object that supports being matched against, and returns an array\r\n     * containing the results of that search, or null if no matches are found.\r\n     * @param matcher An object that supports being matched against.\r\n     */\r\n    match(matcher: { [Symbol.match](string: string): RegExpMatchArray | null; }): RegExpMatchArray | null;\r\n\r\n    /**\r\n     * Replaces text in a string, using an object that supports replacement within a string.\r\n     * @param searchValue A object can search for and replace matches within a string.\r\n     * @param replaceValue A string containing the text to replace for every successful match of searchValue in this string.\r\n     */\r\n    replace(searchValue: { [Symbol.replace](string: string, replaceValue: string): string; }, replaceValue: string): string;\r\n\r\n    /**\r\n     * Replaces text in a string, using an object that supports replacement within a string.\r\n     * @param searchValue A object can search for and replace matches within a string.\r\n     * @param replacer A function that returns the replacement text.\r\n     */\r\n    replace(searchValue: { [Symbol.replace](string: string, replacer: (substring: string, ...args: any[]) => string): string; }, replacer: (substring: string, ...args: any[]) => string): string;\r\n\r\n    /**\r\n     * Finds the first substring match in a regular expression search.\r\n     * @param searcher An object which supports searching within a string.\r\n     */\r\n    search(searcher: { [Symbol.search](string: string): number; }): number;\r\n\r\n    /**\r\n     * Split a string into substrings using the specified separator and return them as an array.\r\n     * @param splitter An object that can split a string.\r\n     * @param limit A value used to limit the number of elements returned in the array.\r\n     */\r\n    split(splitter: { [Symbol.split](string: string, limit?: number): string[]; }, limit?: number): string[];\r\n}\r\n\r\ninterface ArrayBuffer {\r\n    readonly [Symbol.toStringTag]: string;\r\n}\r\n\r\ninterface DataView {\r\n    readonly [Symbol.toStringTag]: string;\r\n}\r\n\r\ninterface Int8Array {\r\n    readonly [Symbol.toStringTag]: "Int8Array";\r\n}\r\n\r\ninterface Uint8Array {\r\n    readonly [Symbol.toStringTag]: "Uint8Array";\r\n}\r\n\r\ninterface Uint8ClampedArray {\r\n    readonly [Symbol.toStringTag]: "Uint8ClampedArray";\r\n}\r\n\r\ninterface Int16Array {\r\n    readonly [Symbol.toStringTag]: "Int16Array";\r\n}\r\n\r\ninterface Uint16Array {\r\n    readonly [Symbol.toStringTag]: "Uint16Array";\r\n}\r\n\r\ninterface Int32Array {\r\n    readonly [Symbol.toStringTag]: "Int32Array";\r\n}\r\n\r\ninterface Uint32Array {\r\n    readonly [Symbol.toStringTag]: "Uint32Array";\r\n}\r\n\r\ninterface Float32Array {\r\n    readonly [Symbol.toStringTag]: "Float32Array";\r\n}\r\n\r\ninterface Float64Array {\r\n    readonly [Symbol.toStringTag]: "Float64Array";\r\n}\r\n\r\ninterface ArrayConstructor {\r\n    readonly [Symbol.species]: ArrayConstructor;\r\n}\r\ninterface MapConstructor {\r\n    readonly [Symbol.species]: MapConstructor;\r\n}\r\ninterface SetConstructor {\r\n    readonly [Symbol.species]: SetConstructor;\r\n}\r\ninterface ArrayBufferConstructor {\r\n    readonly [Symbol.species]: ArrayBufferConstructor;\r\n}\r\n'}});